#!/usr/bin/perl

use Getopt::Long;
#use Time::localtime;

# get single letter (-) and word style (--)
# options.
Getopt::Long::Configure ("bundling");

sub main () {
  setup();
  check();
}

sub setup(){
  #default files.
  $_lock_dir = ".parallel_lock";
  $_debug = 0;
  $_progress_file = "parallel_status_file";
  $_action = "";
  $_dir = "";
  $_source_dir = ".";
  $_name = "";

  $_nfs_delay = 4;

  GetOptions( # user-level options. 
	     'source_dir=s'=> \$_source_dir,
	     'd|debug' => \$_debug,
	     'action=s' => \$_action,
	     'dir=s' => \$_dir,
	     'name=s' => \$_name,
	     'l|lock_dir=s' => \$_lock_dir,
	     '-p|progress_file=s' => \$_progress_file);
}

sub check(){
  my $lines;
  my $status = "PASSED";

  $lines = `tail -n 100 system_log_file`;

  if ($lines =~ /WARNING/){
    $status = "WARNING";
  }
  if ($lines =~ /ERROR/){
    $status = "FAILED";
  }

  chdir $_source_dir;

  open STATUS ,">>$_lock_dir/$_progress_file" or
    die "Check script can't open file $_source_dir/$_lock_dir/$_progress_file $!";

  print STATUS "\$action = \"$_action\" ; ",
    "\$dir = \"$_dir\" ;",
    "\$name = \"$_name\" ;",
    "\$status = \"$status\" ;\n" ;

  close STATUS;

}

main();
